package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.CourseCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetCourseReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetCoursesByIdListReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveCourseReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetCourseResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetCoursesByIdListResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveCourseResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Service
public class CourseCloudServiceClient extends AbstractCloudClientSupport
		implements
			CourseCloudService {

	private static final long serialVersionUID = -5246359107103119265L;

	@Override
	public SaveCourseResp saveCourse(SaveCourseReq req) {
		return post("course/saveCourse", req, SaveCourseResp.class);
	}

	@Override
	public GetCourseResp getCourse(GetCourseReq req) {
		return post("course/getCourse", req, GetCourseResp.class);
	}

	@Override
	public GetCoursesByIdListResp getCoursesByIdList(GetCoursesByIdListReq req) {
		return post("course/getCoursesByIdList", req, GetCoursesByIdListResp.class);
	}

}
