package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.FaceCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentFaceReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUsableFacesetListReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentFaceReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentFaceResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUsableFacesetListResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentFaceResp;

/**
 * demo 云服务客户端
 * 
 * @author WANGWEI
 *
 */
@Service
public class FaceCloudServiceClient extends AbstractCloudClientSupport implements FaceCloudService {

	private static final long serialVersionUID = -7456923008162697199L;

	@Override
	public SaveStudentFaceResp saveStudentFace(SaveStudentFaceReq req) {
		return post("studentFace/saveStudentFace", req, SaveStudentFaceResp.class);
	}

	@Override
	public GetUsableFacesetListResp getUsableFacesetList(GetUsableFacesetListReq req) {
		return post("studentFace/getUsableFacesetList", req, GetUsableFacesetListResp.class);
	}

	@Override
	public GetStudentFaceResp getStudentFace(GetStudentFaceReq req) {
		return post("studentFace/getStudentFace", req, GetStudentFaceResp.class);
	}

}
