package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.RolePrivilegeCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.DeleteRoleReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetPrivilegeListReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveRoleReq;
import cn.com.qmth.examcloud.core.basic.api.response.DeleteRoleResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetPrivilegeListResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveRoleResp;

@Service
public class RolePrivilegeCloudServiceClient extends AbstractCloudClientSupport
		implements
			RolePrivilegeCloudService {

	private static final long serialVersionUID = 1627126406719389279L;

	@Override
	public SaveRoleResp saveRole(SaveRoleReq req) {
		return post("rolePrivilege/saveRole", req, SaveRoleResp.class);
	}

	@Override
	public DeleteRoleResp deleteRole(DeleteRoleReq req) {
		return post("rolePrivilege/deleteRole", req, DeleteRoleResp.class);
	}

	@Override
	public GetPrivilegeListResp getPrivilegeList(GetPrivilegeListReq req) {
		return post("rolePrivilege/getPrivilegeList", req, GetPrivilegeListResp.class);
	}

}
