package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.CountStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.UnbindStudentCodeReq;
import cn.com.qmth.examcloud.core.basic.api.request.UpdatePasswordReq;
import cn.com.qmth.examcloud.core.basic.api.request.UpdateStudentStatusReq;
import cn.com.qmth.examcloud.core.basic.api.response.CountStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.UnbindStudentCodeResp;
import cn.com.qmth.examcloud.core.basic.api.response.UpdatePasswordResp;
import cn.com.qmth.examcloud.core.basic.api.response.UpdateStudentStatusResp;

@Service
public class StudentCloudServiceClient extends AbstractCloudClientSupport
		implements
			StudentCloudService {

	private static final long serialVersionUID = 7669672850482842766L;

	@Override
	public SaveStudentResp saveStudent(SaveStudentReq req) {
		return post("student/saveStudent", req, SaveStudentResp.class);
	}

	@Override
	public GetStudentResp getStudent(GetStudentReq req) {
		return post("student/getStudent", req, GetStudentResp.class);
	}

	@Override
	public UnbindStudentCodeResp unbindStudentCode(UnbindStudentCodeReq req) {
		return post("student/unbindStudentCode", req, UnbindStudentCodeResp.class);
	}

	@Override
	public UpdatePasswordResp updatePassword(UpdatePasswordReq req) {
		return post("student/updatePassword", req, UpdatePasswordResp.class);
	}

	@Override
	public UpdateStudentStatusResp updateStudentStatus(UpdateStudentStatusReq req) {
		return post("student/updateStudentStatus", req, UpdateStudentStatusResp.class);
	}

	@Override
	public CountStudentResp countStudent(CountStudentReq req) {
		return post("student/countStudent", req, CountStudentResp.class);
	}

}
