package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.api.UserCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.AddUserReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetAllUsersByRoleReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserListByIdsReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserReq;
import cn.com.qmth.examcloud.core.basic.api.response.AddUserResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetAllUsersByRoleResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserListByIdsResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月14日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Service
public class UserCloudServiceClient extends AbstractCloudClientSupport implements UserCloudService {

	private static final long serialVersionUID = 5562847036151453132L;

	@Override
	public AddUserResp addUser(AddUserReq req) {
		return post("user/addUser", req, AddUserResp.class);
	}

	@Override
	public GetUserResp getUser(GetUserReq req) {
		return post("user/getUser", req, GetUserResp.class);
	}

	@Override
	public GetAllUsersByRoleResp getAllUsersByRole(GetAllUsersByRoleReq req) {
		return post("user/getAllUsersByRole", req, GetAllUsersByRoleResp.class);
	}

	@Override
	public GetUserListByIdsResp getUserListByIds(GetUserListByIdsReq req) {
		return post("user/getUserListByIds", req, GetUserListByIdsResp.class);
	}

}
