package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetCourseReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetCoursesByIdListReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveCourseReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetCourseResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetCoursesByIdListResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveCourseResp;

/**
 * 课程服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午4:01:09
 * @company QMTH
 * @description CourseCloudService.java
 */
public interface CourseCloudService extends CloudService {

	/**
	 * 方法注释
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetCourseResp getCourse(GetCourseReq req);

	/**
	 * 保存课程
	 * 
	 * @param courseReq
	 */
	SaveCourseResp saveCourse(SaveCourseReq req);

	/**
	 * 按ID查询课程
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetCoursesByIdListResp getCoursesByIdList(GetCoursesByIdListReq req);

}
