package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.CountStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.SaveStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.UnbindStudentCodeReq;
import cn.com.qmth.examcloud.core.basic.api.request.UpdatePasswordReq;
import cn.com.qmth.examcloud.core.basic.api.request.UpdateStudentStatusReq;
import cn.com.qmth.examcloud.core.basic.api.response.CountStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.SaveStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.UnbindStudentCodeResp;
import cn.com.qmth.examcloud.core.basic.api.response.UpdatePasswordResp;
import cn.com.qmth.examcloud.core.basic.api.response.UpdateStudentStatusResp;

/**
 * 学生接口服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午5:10:40
 * @company QMTH
 * @description StudentCloudService.java
 */
public interface StudentCloudService extends CloudService {

	/**
	 * 插入或更新学生
	 *
	 * @author WANGWEI
	 * @param req
	 */
	SaveStudentResp saveStudent(SaveStudentReq req);

	/**
	 * 查询学生信息
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetStudentResp getStudent(GetStudentReq req);

	/**
	 * 解绑学号
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	UnbindStudentCodeResp unbindStudentCode(UnbindStudentCodeReq req);

	/**
	 * 修改密码
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	UpdatePasswordResp updatePassword(UpdatePasswordReq req);

	/**
	 * 更新学生状态
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	UpdateStudentStatusResp updateStudentStatus(UpdateStudentStatusReq req);

	/**
	 * 统计学生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	CountStudentResp countStudent(CountStudentReq req);

}
