package cn.com.qmth.examcloud.examwork.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.examwork.api.ExamStudentCloudService;
import cn.com.qmth.examcloud.examwork.api.request.CopyExamStudentsReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentPageReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.ResetExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.UpdateExamStudentStatusReq;
import cn.com.qmth.examcloud.examwork.api.response.CopyExamStudentsResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentPageResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.ResetExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.UpdateExamStudentStatusResp;

@Service
public class ExamStudentCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamStudentCloudService {

	private static final long serialVersionUID = -8874453764538303046L;

	@Override
	public SaveExamStudentResp saveExamStudent(SaveExamStudentReq req) {
		return post("examStudent/saveExamStudent", req, SaveExamStudentResp.class);
	}

	@Override
	public CopyExamStudentsResp copyExamStudents(CopyExamStudentsReq req) {
		return post("examStudent/copyExamStudents", req, CopyExamStudentsResp.class);
	}

	@Override
	public GetExamStudentResp getExamStudent(GetExamStudentReq req) {
		return post("examStudent/getExamStudent", req, GetExamStudentResp.class);
	}

	@Override
	public GetExamStudentPageResp getExamStudentPage(GetExamStudentPageReq req) {
		return post("examStudent/getExamStudentPage", req, GetExamStudentPageResp.class);
	}

	@Override
	public UpdateExamStudentStatusResp updateExamStudentStatus(UpdateExamStudentStatusReq req) {
		return post("examStudent/updateExamStudentStatus", req, UpdateExamStudentStatusResp.class);
	}

	@Override
	public ResetExamStudentResp resetExamStudent(ResetExamStudentReq req) {
		return post("examStudent/resetExamStudent", req, ResetExamStudentResp.class);
	}

}
