package cn.com.qmth.examcloud.examwork.api.client;

import cn.com.qmth.examcloud.examwork.api.NoticeCloudService;
import cn.com.qmth.examcloud.examwork.api.request.DisposePublishingUserNoticeReq;
import cn.com.qmth.examcloud.examwork.api.request.UpdateNoticeStatusReq;
import cn.com.qmth.examcloud.examwork.api.response.DisposePublishingUserNoticeResp;
import cn.com.qmth.examcloud.examwork.api.response.GetNoticeRulePublishProgressListResp;
import org.springframework.stereotype.Service;

@Service
public class NoticeCloudServiceClient extends AbstractCloudClientSupport
        implements
        NoticeCloudService {

    private static final long serialVersionUID = -8874453764538303046L;

    @Override
    public GetNoticeRulePublishProgressListResp getToBeDisposedNoticeRulePublishProgressList() {
        return post("notice/getToBeDisposedNoticeRulePublishProgressList",null,GetNoticeRulePublishProgressListResp.class);
    }

    @Override
    public DisposePublishingUserNoticeResp disposePublishingUserNotice(DisposePublishingUserNoticeReq req) {
        return post("notice/disposePublishingUserNotice",req,DisposePublishingUserNoticeResp.class);
    }

    @Override
    public void disposeOverdueNotice() {
        post("notice/disposeOverdueNotice");
    }

    @Override
    public void updateNoticeStatus(UpdateNoticeStatusReq updateNoticeStatusReq) {
        post("notice/updateNoticeStatus",updateNoticeStatusReq);
    }


}
