package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.CountExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamCourseListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamCoursePaperTypeListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamOrgListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamPropertyListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamPropertyReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentPropertyValueListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamsByIdListReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamsReq;
import cn.com.qmth.examcloud.examwork.api.request.GetOngoingExamListReq;
import cn.com.qmth.examcloud.examwork.api.request.LockExamStudentsReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamReq;
import cn.com.qmth.examcloud.examwork.api.request.SetExamPropertyReq;
import cn.com.qmth.examcloud.examwork.api.request.UnlockExamStudentsReq;
import cn.com.qmth.examcloud.examwork.api.response.CountExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamCourseListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamCoursePaperTypeListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamOrgListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamPropertyListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamPropertyResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentPropertyValueListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamsByIdListResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamsResp;
import cn.com.qmth.examcloud.examwork.api.response.GetOngoingExamListResp;
import cn.com.qmth.examcloud.examwork.api.response.LockExamStudentsResp;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamResp;
import cn.com.qmth.examcloud.examwork.api.response.SetExamPropertyResp;
import cn.com.qmth.examcloud.examwork.api.response.UnlockExamStudentsResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年8月6日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface ExamCloudService extends CloudService {

	/**
	 * 保存考试
	 * 
	 * @param exam
	 */
	SaveExamResp saveExam(SaveExamReq req);

	/**
	 * 查询考试
	 * 
	 * @param name
	 * @return
	 */
	GetExamResp getExam(GetExamReq req);

	/**
	 * 查询考试
	 * 
	 * @param name
	 * @return
	 */
	GetExamsByIdListResp getExamsByIdList(GetExamsByIdListReq req);

	/**
	 * 设置考试属性配置
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SetExamPropertyResp setExamProperty(SetExamPropertyReq req);

	/**
	 * 获取考试属性配置
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamPropertyResp getExamProperty(GetExamPropertyReq req);

	/**
	 * 获取考试属性配置集合
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamPropertyListResp getExamPropertyList(GetExamPropertyListReq req);

	/**
	 * 获取正在进行的考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetOngoingExamListResp getOngoingExamList(GetOngoingExamListReq req);

	/**
	 * 锁定考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	LockExamStudentsResp lockExamStudents(LockExamStudentsReq req);

	/**
	 * 解锁考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	UnlockExamStudentsResp unlockExamStudents(UnlockExamStudentsReq req);

	/**
	 * 查询考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamListResp getExamList(GetExamListReq req);

	/**
	 * 查询考试的课程集合
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamCourseListResp getExamCourseList(GetExamCourseListReq req);

	/**
	 * 查询考试课程的试卷类型集
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamCoursePaperTypeListResp getExamCoursePaperTypeList(GetExamCoursePaperTypeListReq req);

	/**
	 * 统计考生数量
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	CountExamStudentResp countExamStudent(CountExamStudentReq req);

	/**
	 * 获取考试机构列表
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamOrgListResp getExamOrgList(GetExamOrgListReq req);

	/**
	 * 获取考生属性值集合
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamStudentPropertyValueListResp getExamStudentPropertyValueList(
			GetExamStudentPropertyValueListReq req);

	/**
	 * 遍历考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamsResp getExams(GetExamsReq req);

}
