package cn.com.qmth.examcloud.examwork.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.examwork.api.request.CopyExamStudentsReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentPageReq;
import cn.com.qmth.examcloud.examwork.api.request.GetExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.ResetExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.SaveExamStudentReq;
import cn.com.qmth.examcloud.examwork.api.request.UpdateExamStudentStatusReq;
import cn.com.qmth.examcloud.examwork.api.response.CopyExamStudentsResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentPageResp;
import cn.com.qmth.examcloud.examwork.api.response.GetExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.ResetExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.SaveExamStudentResp;
import cn.com.qmth.examcloud.examwork.api.response.UpdateExamStudentStatusResp;

/**
 * 考生信息服务
 * 
 * @author chenken
 * @date 2018年5月4日 下午2:01:15
 * @company QMTH
 * @description ExamStudentCloudService.java
 */
public interface ExamStudentCloudService extends CloudService {

	/**
	 * 保存考生信息
	 * 
	 * @param examStudentReq
	 */
	SaveExamStudentResp saveExamStudent(SaveExamStudentReq req);

	/**
	 * 拷贝
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	CopyExamStudentsResp copyExamStudents(CopyExamStudentsReq req);

	/**
	 * 查询单个考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamStudentResp getExamStudent(GetExamStudentReq req);

	/**
	 * 分页查询考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetExamStudentPageResp getExamStudentPage(GetExamStudentPageReq req);

	/**
	 * 更新考生状态
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	UpdateExamStudentStatusResp updateExamStudentStatus(UpdateExamStudentStatusReq req);

	/**
	 * 重置考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	ResetExamStudentResp resetExamStudent(ResetExamStudentReq req);
}
