package cn.com.qmth.examcloud.examwork.api.request;

import java.util.Date;
import java.util.Map;

import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

/**
 * @author chenken
 * @date 2018年5月2日 下午3:44:54
 * @company QMTH
 * @description ExamReq.java
 */
public class SaveExamReq extends BaseRequest {

	private static final long serialVersionUID = -5832266903859887508L;

	/**
	 * 考试编码
	 */
	private String code;

	/**
	 * 机构ID
	 */
	private Long rootOrgId;

	/**
	 * 考试名称
	 */
	private String name;

	/**
	 * 考试类型
	 */
	private ExamType examType;

	/**
	 * 考试开始时间
	 */
	private Date beginTime;

	/**
	 * 考试结束时间
	 */
	private Date endTime;

	/**
	 * 考试时长(分钟)
	 */
	private Integer duration;

	/**
	 * 备注
	 */
	private String remark;

	/**
	 * 考试次数
	 */
	private Long examTimes;

	/**
	 * 是否禁止考试
	 */
	private Boolean examLimit;

	/**
	 * 是否可用
	 */
	private Boolean enable;

	private Map<String, String> properties;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public Date getBeginTime() {
		return beginTime;
	}

	public void setBeginTime(Date beginTime) {
		this.beginTime = beginTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public Integer getDuration() {
		return duration;
	}

	public void setDuration(Integer duration) {
		this.duration = duration;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Long getExamTimes() {
		return examTimes;
	}

	public void setExamTimes(Long examTimes) {
		this.examTimes = examTimes;
	}

	public Map<String, String> getProperties() {
		return properties;
	}

	public void setProperties(Map<String, String> properties) {
		this.properties = properties;
	}

	public Boolean getExamLimit() {
		return examLimit;
	}

	public void setExamLimit(Boolean examLimit) {
		this.examLimit = examLimit;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

}
