package cn.com.qmth.examcloud.marking.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.marking.api.MarkWorkCloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkWorkMainByIdsReq;
import cn.com.qmth.examcloud.marking.api.request.GetMarkWorkMarkerPageReq;
import cn.com.qmth.examcloud.marking.api.request.GetMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.request.GetMarkersByWorkIdsReq;
import cn.com.qmth.examcloud.marking.api.request.SaveMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.request.UpdateMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkWorkMainByIdsResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkWorkMarkerPageResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkWorkResp;
import cn.com.qmth.examcloud.marking.api.response.GetMarkersByWorkIdsResp;
import cn.com.qmth.examcloud.marking.api.response.SaveMarkWorkResp;
import cn.com.qmth.examcloud.marking.api.response.UpdateMarkWorkResp;

/**
 * @ClassName MarkWorkCloudServiceClient
 * @Author nikang
 * @Date 2018/11/26 13:45
 * @Version 3.0
 */
@Service
public class MarkWorkCloudServiceClient extends AbstractCloudClientSupport
		implements
			MarkWorkCloudService {
	private static final long serialVersionUID = -8517217664310649037L;

	@Override
	public GetMarkWorkResp getMarkWork(GetMarkWorkReq req) {
		return post("markWorks/getAll", req, GetMarkWorkResp.class);
	}

	@Override
	public SaveMarkWorkResp saveMarkWork(SaveMarkWorkReq req) {
		return post("markWorks/saveMarkWork", req, SaveMarkWorkResp.class);
	}

	@Override
	public UpdateMarkWorkResp updateMarkWork(UpdateMarkWorkReq req) {
		return post("markWorks/updateMarkWork", req, UpdateMarkWorkResp.class);
	}

	@Override
	public GetMarkWorkMarkerPageResp getMarkWorkMarkerPage(GetMarkWorkMarkerPageReq req) {
		return post("markWorks/getMarkWorkMarkerPage", req, GetMarkWorkMarkerPageResp.class);
	}

	@Override
	public GetMarkWorkMainByIdsResp getMarkWorkMainByIds(GetMarkWorkMainByIdsReq req) {
		return post("markWorks/getMarkWorkMainByIds", req, GetMarkWorkMainByIdsResp.class);
	}

	@Override
	public GetMarkersByWorkIdsResp getMarkersByWorkIds(GetMarkersByWorkIdsReq req) {
		return post("markWorks/getMarkersByWorkIds", req, GetMarkersByWorkIdsResp.class);
	}
}
