package cn.com.qmth.examcloud.marking.api.bean;


import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @ClassName MarkItemBean
 * @Description TODO
 * @Author nikang
 * @Date 2018/11/27 11:07
 * @Version 3.0
 */
public class MarkItemBean implements JsonSerializable {
    private static final long serialVersionUID = -7730711644410595809L;
    private long id;
    enum ScoringType{
        /**
         * 根据给分间隔
         */
        INTERVAL,
        /**
         * 人工指定给分列表
         */
        MANUAL
    }

    private String basePaperId;

    private Long workId;

    private Long markRangeId;

    /**
     * 大题号
     */
    private int mainNumber;

    /**
     * 小题号
     */
    private int subNumber;

    /**
     * 全卷范围内排序
     */
    private int orders;

    /**
     * 分值
     */
    private double maxScore;

    /**
     * 题Id
     */
    private String questionId;

    /**
     * 给分方式
     */
    private MarkItemBean.ScoringType scoringType;

    /**
     * 给分间隔
     */
    private Double scoreInterval;

    /**
     * 给分列表
     */
    private String socreList;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Long getMarkRangeId() {
        return markRangeId;
    }

    public void setMarkRangeId(Long markRangeId) {
        this.markRangeId = markRangeId;
    }

    public int getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(int mainNumber) {
        this.mainNumber = mainNumber;
    }

    public int getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(int subNumber) {
        this.subNumber = subNumber;
    }

    public int getOrders() {
        return orders;
    }

    public void setOrders(int orders) {
        this.orders = orders;
    }

    public double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(double maxScore) {
        this.maxScore = maxScore;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public ScoringType getScoringType() {
        return scoringType;
    }

    public void setScoringType(ScoringType scoringType) {
        this.scoringType = scoringType;
    }

    public Double getScoreInterval() {
        return scoreInterval;
    }

    public void setScoreInterval(Double scoreInterval) {
        this.scoreInterval = scoreInterval;
    }

    public String getSocreList() {
        return socreList;
    }

    public void setSocreList(String socreList) {
        this.socreList = socreList;
    }

    public MarkItemBean() {
    }

    public MarkItemBean(String basePaperId, int mainNumber, int subNumber, double maxScore, Double scoreInterval, int orders, String questionId) {
        this.basePaperId = basePaperId;
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
        this.maxScore = maxScore;
        this.scoreInterval = scoreInterval == null ? 1 : scoreInterval;
        this.scoringType = MarkItemBean.ScoringType.INTERVAL;
        this.orders = orders;
        this.questionId = questionId;
    }

    public MarkItemBean(String basePaperId, int mainNumber,int subNumber,double maxScore,String socreList) {
        this.basePaperId = basePaperId;
        this.mainNumber = mainNumber;
        this.subNumber = subNumber;
        this.maxScore = maxScore;
        this.socreList = socreList == null ? String.valueOf(this.maxScore) : socreList;
        this.scoringType = MarkItemBean.ScoringType.MANUAL;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        MarkItemBean markItem = (MarkItemBean) o;

        if (getMainNumber() != markItem.getMainNumber()) return false;
        if (getSubNumber() != markItem.getSubNumber()) return false;
        if (getBasePaperId() != null ? !getBasePaperId().equals(markItem.getBasePaperId()) : markItem.getBasePaperId() != null)
            return false;
        return getWorkId() != null ? getWorkId().equals(markItem.getWorkId()) : markItem.getWorkId() == null;

    }

    @Override
    public int hashCode() {
        int result = getBasePaperId() != null ? getBasePaperId().hashCode() : 0;
        result = 31 * result + (getWorkId() != null ? getWorkId().hashCode() : 0);
        result = 31 * result + getMainNumber();
        result = 31 * result + getSubNumber();
        return result;
    }
}
