package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.CheckExamIsStartedReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetExamPhotoVerifyDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryExamRecordForSelectScoreReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.CheckExamIsStartedResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetExamPhotoVerifyDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryExamRecordForSelectScoreResp;

@Service("examRecordCloudService")
public class ExamRecordCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamRecordCloudService {

	private static final long serialVersionUID = 6596862028883396367L;

	@Override
	public CheckExamIsStartedResp checkExamIsStarted(CheckExamIsStartedReq examRecordReq) {
		return post("examRecord/checkExamIsStarted", examRecordReq, CheckExamIsStartedResp.class);
	}

	@Override
	public QueryExamRecordForSelectScoreResp queryExamRecordForSelectScoreByScoreId(
			QueryExamRecordForSelectScoreReq req) {
		return post("examRecord/queryExamRecordForSelectScoreByScoreId", req,
				QueryExamRecordForSelectScoreResp.class);
	}

	@Override
	public QueryExamRecordForSelectScoreResp queryExamRecordForSelectScoreByExamStudentId(
			QueryExamRecordForSelectScoreReq req) {
		return post("examRecord/queryExamRecordForSelectScoreByExamStudentId", req,
				QueryExamRecordForSelectScoreResp.class);
	}

	@Override
	public GetExamPhotoVerifyDataResp getExamPhotoVerifyData(GetExamPhotoVerifyDataReq req) {
		return post("examRecord/getExamPhotoVerifyData", req, GetExamPhotoVerifyDataResp.class);
	}

}
