/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.*;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.admin.api.OeExamStudentCloudService;

/**
 * 考生信息接口
 *
 * @author: fengdesheng
 * @since: 2018/8/15
 */
@Service("oeExamStudentCloudService")
public class OeExamStudentCloudServiceClient extends AbstractCloudClientSupport
		implements
			OeExamStudentCloudService {
	private static final long serialVersionUID = -8874453764538303046L;

	@Override
	public ExamStudentSyncAllDataResp<?> syncExamStudentAllData(ExamStudentSyncAllDataReq req) {
		return post("exam/student/sync/all/data", req, ExamStudentSyncAllDataResp.class);
	}

	@Override
	public ExamStudentSyncPartDataResp<?> syncExamStudentPartData(ExamStudentSyncPartDataReq req) {
		return post("exam/student/sync/part/data", req, ExamStudentSyncPartDataResp.class);
	}

	@Override
	public FindExamStudentInfoResp findExamStudentInfoBy(FindExamStudentInfoReq req) {
		return post("exam/student/findExamStudentInfoBy", req, FindExamStudentInfoResp.class);
	}

	@Override
	public UnbindExamStudentResp unbindExamStudent(UnbindExamStudentReq req) {
		return post("exam/student/unbindExamStudent", req, UnbindExamStudentResp.class);
	}

	@Override
	public GetExamStudentCountResp getExamStudentCount(GetExamStudentCountReq req) {
		return post("exam/student/getExamStudentCount", req, GetExamStudentCountResp.class);
	}

}