package cn.com.qmth.examcloud.core.oe.admin.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.FindExamScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetAuditDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetFinalScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.GetScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryCapturePhotoReq;
import cn.com.qmth.examcloud.core.oe.admin.api.request.QueryScoreDataReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.FindExamScoreDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetAuditDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetFinalScoreDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.GetScoreDataResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryCapturePhotoResp;
import cn.com.qmth.examcloud.core.oe.admin.api.response.QueryScoreDataResp;

/**
 * 
 * @author  	chenken
 * @date    	2018年10月15日 下午4:16:08
 * @company 	QMTH
 * @description 供exchange查询：考试记录，学生信息，分数信息等数据查询接口
 */
public interface ExamScoreDataCloudService  extends CloudService{

	/**
	 * 根据scoreId查询考试记录，学生信息，分数信息等数据
	 * @param findExamScoreDataReq
	 * @return
	 */
	public FindExamScoreDataResp findExamScoreDataByScoreId(FindExamScoreDataReq findExamScoreDataReq);
	
	/**
	 * examId
	 * studentCode
	 * 考试记录，学生信息，分数信息等数据查询
	 * @param findExamScoreDataReq
	 * @return
	 */
	public FindExamScoreDataResp findExamScoreDataByExamIdAndStudentCode(FindExamScoreDataReq findExamScoreDataReq);
	
	/**
	 * 查询成绩信息
	 * @param req
	 * @return
	 */
	public GetScoreDataResp getScoreData(GetScoreDataReq req);
	
	/**
	 * 按考试名称，rootOrgId,courseCode，身份证号或学号查询成绩信息
	 * @param req
	 * @return
	 */
	public QueryScoreDataResp queryScoreData(QueryScoreDataReq req);
	
	/**
	 * 查询审核信息
	 * @param req
	 * @return
	 */
	public GetAuditDataResp getAuditData(GetAuditDataReq req);
	
	/**
	 * 查询抓拍照片信息
	 * @param req
	 * @return
	 */
	public QueryCapturePhotoResp queryCapturePhoto(QueryCapturePhotoReq req);

	/**
	 * 查询最终成绩
	 *
	 * @param req
	 * @return
	 */
	GetFinalScoreDataResp getFinalScoreData(GetFinalScoreDataReq req);


	
}
