/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-15 14:15:53.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.*;

/**
 * 考生信息接口
 *
 * @author: fengdesheng
 * @since: 2018/8/15
 */
public interface OeExamStudentCloudService extends CloudService {

    /**
     * 同步考生(全部)数据
     */
    ExamStudentSyncAllDataResp syncExamStudentAllData(ExamStudentSyncAllDataReq req);

    /**
     * 同步考生(部分)数据
     */
    ExamStudentSyncPartDataResp syncExamStudentPartData(ExamStudentSyncPartDataReq req);
    
    /**
	 * 根据条件查询考生信息
	 * @param req
	 * @return
	 */
    FindExamStudentInfoResp findExamStudentInfoBy(FindExamStudentInfoReq req);

    /**
     * 解绑考生学号
     * @param req
     * @return
     */
    UnbindExamStudentResp unbindExamStudent(UnbindExamStudentReq req);

    /**
     * 根据查询条件获取考生数量
     * @param req
     * @return
     */
    GetExamStudentCountResp getExamStudentCount(GetExamStudentCountReq req);
}