package cn.com.qmth.examcloud.core.oe.student.api.client;

import cn.com.qmth.examcloud.core.oe.student.api.OeStudentExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.bean.ExamingRecordBean;
import cn.com.qmth.examcloud.core.oe.student.api.bean.HandInExamRecordBean;
import cn.com.qmth.examcloud.core.oe.student.api.request.*;
import cn.com.qmth.examcloud.core.oe.student.api.response.*;
import org.springframework.stereotype.Service;

@Service("oeStudentExamRecordCloudService")
public class OeStudentExamRecordCloudServiceClient extends AbstractCloudClientSupport
        implements
        OeStudentExamRecordCloudService {

    private static final long serialVersionUID = 3904195239759933649L;

    @Override
    public void cleanExamingRecord(CleanExamingRecordReq req) {
        post("examRecord/cleanExamingRecord", req);
    }

    @Override
    public void cleanHandInExamRecord(CleanHandInExamRecordReq req) {
        post("examRecord/cleanHandInExamRecord", req);
    }

    @Override
    public GetQrCodeResp getQrCode(GetQrCodeReq req) {
        return post("examRecord/getQrCode", req, GetQrCodeResp.class);
    }

    @Override
    public GetExamSessionInfoResp getExamSessionInfo(GetExamSessionInfoReq req) {
        return post("examRecord/getExamSessionInfo", req, GetExamSessionInfoResp.class);
    }

    @Override
    public GetStudentOnlineExamInfoResp getStudentOnLineExamInfo(GetStudentOnlineExamInfoReq req) {
        return post("examRecord/getStudentOnLineExamInfo", req, GetStudentOnlineExamInfoResp.class);
    }

    @Override
    public GetExamingRecordResp getExamingRecords(GetExamingRecordReq req) {
        return post("examRecord/getExamingRecords", req, GetExamingRecordResp.class);
    }

    @Override
    public GetHandInExamRecordResp getHandInExamRecords(GetHandInExamRecordReq req) {
        return post("examRecord/getHandInExamRecords", req, GetHandInExamRecordResp.class);
    }

    @Override
    public void cleanTempFileAnswers() {
        post("examRecord/cleanTempFileAnswers");
    }

}
