package cn.com.qmth.examcloud.core.oe.student.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.student.api.bean.ExamingRecordBean;
import cn.com.qmth.examcloud.core.oe.student.api.bean.HandInExamRecordBean;
import cn.com.qmth.examcloud.core.oe.student.api.request.*;
import cn.com.qmth.examcloud.core.oe.student.api.response.*;

public interface OeStudentExamRecordCloudService extends CloudService{

	/**
	 * 清理已交卷的考试记录
	 */
	void cleanExamingRecord(CleanExamingRecordReq req);

	/**
	 * 清理已交卷的考试记录
	 */
	void cleanHandInExamRecord(CleanHandInExamRecordReq req);
	/**
	 * 获取二维码
	 * @return
	 */
	GetQrCodeResp getQrCode(GetQrCodeReq req);
	/**
	 * 获取考试会话
	 * @return
	 */
	GetExamSessionInfoResp getExamSessionInfo(GetExamSessionInfoReq req);
	
	/**
	 * 获取学生是否有正在进行的网考信息
	 * @return
	 */
	GetStudentOnlineExamInfoResp getStudentOnLineExamInfo(GetStudentOnlineExamInfoReq req);

	/**
	 * 查询进行中的考试
	 * @return
	 */
	GetExamingRecordResp getExamingRecords(GetExamingRecordReq req);

	/**
	 * 查询已交卷的考试
	 * @return
	 */
	GetHandInExamRecordResp getHandInExamRecords(GetHandInExamRecordReq req);

	/**
	 * 清理临时作答记录
	 */
	void cleanTempFileAnswers();
}
