package cn.com.qmth.examcloud.core.questions.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.questions.api.PaperCloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetExtractConfigReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionListReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetCommonResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetPaperResp;

/**
 * @author weiwenhai
 * @date 2018.10.8
 * @company qmth
 * @description 试卷对象远程调用
 */
@Service
public class PaperCloudServiceClient extends AbstractCloudClientSupport implements PaperCloudService {

	private static final long serialVersionUID = 1657323811328647049L;

	@Override
	public GetPaperResp genPaper(GetQuestionListReq req) {
		return post("default_paper/genPaper", req, GetPaperResp.class);
	}

	@Override
	public GetCommonResp examPaper(GetExtractConfigReq req) {
		return post("default_paper/examPaper", req, GetCommonResp.class);
	}

}
