package cn.com.qmth.examcloud.core.questions.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.questions.api.QuestionCloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetDefaultQuesionListReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetDefaultQuesionReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetDefaultQuesionsReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetCommonResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetDefaultQuesionIdResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetDefaultQuestionsResp;

/**
 * @author weiwenhai
 * @date 2018.9.10
 * @company qmth
 * @describle 试题对象服务
 */
@Service
public class QuestionCloudServiceClient extends AbstractCloudClientSupport
		implements
			QuestionCloudService {

	private static final long serialVersionUID = 309315715614556772L;

	@Override
	public GetDefaultQuesionIdResp saveQuestion(GetDefaultQuesionReq req) {
		return post("default_question/save", req, GetDefaultQuesionIdResp.class);
	}

	@Override
	public GetDefaultQuesionIdResp updateQuestion(GetDefaultQuesionReq req) {
		return post("default_question/update", req, GetDefaultQuesionIdResp.class);
	}

	@Override
	public GetDefaultQuestionsResp findQuestions(GetDefaultQuesionsReq req) {
		return post("default_question/find", req, GetDefaultQuestionsResp.class);
	}

	@Override
	public GetCommonResp saveQuestionList(GetDefaultQuesionListReq req) {
		return post("default_question/save_list", req, GetCommonResp.class);
	}

}
