package cn.com.qmth.examcloud.core.questions.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.questions.api.request.GetBasePaperReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetPaperReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionAnswerReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionListReq;
import cn.com.qmth.examcloud.core.questions.api.request.GetQuestionReq;
import cn.com.qmth.examcloud.core.questions.api.response.GetBasePaperResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetPaperResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionAnswerResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionListResp;
import cn.com.qmth.examcloud.core.questions.api.response.GetQuestionResp;

/**
 * @author 		weiwenhai
 * @date 		2018.8.15
 * @company		qmth
 * @describle	调卷规则远程调用请求接口
 */
public interface ExtractConfigCloudService extends CloudService{

	/**
	 * 网考  根据调卷规则  抽取考试试卷
	 * @param req
	 * @return
	 */
	GetPaperResp getPaper(GetPaperReq req);
	
	/**
	 * 网考  根据调卷规则  抽取单个试题
	 * @param req
	 * @return
	 */
	GetQuestionResp getQuestion(GetQuestionReq req);
	
	/**
	 * 网考  根据试卷id 抽取考试试卷
	 * @param req
	 * @return
	 */
	GetBasePaperResp getBasePaper(GetBasePaperReq req);
	
	/**
	 * 根据试题id集合获取试题对象
	 * @param req
	 * @return
	 */
	GetQuestionListResp getQuestionList(GetQuestionListReq req);
	
	/**
	 * 根据试题id获取试题答案
	 * @param req
	 * @return
	 */
	GetQuestionAnswerResp getQuestionAnswer(GetQuestionAnswerReq req);
	
	/**
	 * 根据试题id查询单个题目
	 * @param req
	 * @return
	 */
	GetQuestionResp getBaseQuestion(GetQuestionReq req);
	
	/**
	 * 根据试卷id查询主观题与客观题数量
	 * @param req
	 * @return
	 */
	GetQuestionListResp getQuestionStructure(GetBasePaperReq req);
}
