package cn.com.qmth.examcloud.core.questions.api.request;

import java.util.Map;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.question.commons.core.question.QuestionType;

/**
 * @author 		weiwenhai
 * @date		2018.9.11
 * @company		qmth
 * @describle	试题集合请求对象
 */
public class GetDefaultQuesionsReq extends BaseRequest{

	private static final long serialVersionUID = 6672726322972965826L;
	
	/**
	 * 机构id
	 */
	private Long rootOrgId;
	
	/**
	 * 属性集合
	 */
	private Map<String, String> properties;
	
	/**
	 * 当前页
	 */
	private int curPage;
	
	/**
	 * 每页总数
	 */
	private int pageSize;
	
	/**
	 * 题型
	 */
	private QuestionType questionType;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Map<String, String> getProperties() {
		return properties;
	}

	public void setProperties(Map<String, String> properties) {
		this.properties = properties;
	}

	public int getCurPage() {
		return curPage;
	}

	public void setCurPage(int curPage) {
		if(curPage<1){
			this.curPage = 1;
		}else {
			this.curPage = curPage;
		}
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		if(pageSize == 0){
			this.pageSize = 10;
		}else {
			this.pageSize = pageSize;
		}
	}

	public QuestionType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}
	
}
