package cn.com.qmth.examcloud.core.questions.api.request;

import java.util.Map;
import java.util.Set;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import cn.com.qmth.examcloud.core.questions.api.bean.PaperK12Bean;

/**
 * @author 		weiwenhai
 * @date 		2018.10.11
 * @company		qmth
 * @description	试卷制定调卷规则请求对象
 */
public class GetExtractConfigReq extends BaseRequest{

	private static final long serialVersionUID = 2745038307789837441L;

	/**
	 * 用户机构id
	 */
	private String rootOrgId;
	
	/**
	 * 考试id
	 */
	private Long examId;
	
	/**
	 * 试卷id
	 */
	private String paperId;
	
	/**
	 * 考卷对象id
	 */
	private String extractConfigId;
	
	/**
	 * 试题id集合
	 */
	private Set<String> questionIds;
	
	/**
	 * 用户姓名
	 */
	private String userName;
	
	/**
	 * 试卷名称
	 */
	private String paperName;
	
	/**
	 * K12需要对象
	 */
	private Map<String, PaperK12Bean> map;

	public String getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(String rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getPaperId() {
		return paperId;
	}

	public void setPaperId(String paperId) {
		this.paperId = paperId;
	}

	public String getExtractConfigId() {
		return extractConfigId;
	}

	public void setExtractConfigId(String extractConfigId) {
		this.extractConfigId = extractConfigId;
	}

	public Set<String> getQuestionIds() {
		return questionIds;
	}

	public void setQuestionIds(Set<String> questionIds) {
		this.questionIds = questionIds;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getPaperName() {
		return paperName;
	}

	public void setPaperName(String paperName) {
		this.paperName = paperName;
	}

	public Map<String, PaperK12Bean> getMap() {
		return map;
	}

	public void setMap(Map<String, PaperK12Bean> map) {
		this.map = map;
	}
	
}
