package cn.com.qmth.examcloud.core.reports.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.ProjectCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.GetProjectInfoBeanReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectCourseOrgCountReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectStatusByIdsReq;
import cn.com.qmth.examcloud.core.reports.api.request.UpdateProjectStatusReq;
import cn.com.qmth.examcloud.core.reports.api.response.GetProjectInfoBeanResp;
import cn.com.qmth.examcloud.core.reports.api.response.UpdateProjectCourseOrgCountResp;
import cn.com.qmth.examcloud.core.reports.api.response.UpdateProjectStatusByIdsResp;
import cn.com.qmth.examcloud.core.reports.api.response.UpdateProjectStatusResp;

@Service
public class ProjectCloudServiceClient extends AbstractCloudClientSupport implements ProjectCloudService {


	/**
	 * 
	 */
	private static final long serialVersionUID = -5111637253657647140L;

	@Override
	public UpdateProjectStatusResp updateProjectStatus(UpdateProjectStatusReq req) {
		return post("project/updateStatus", req, UpdateProjectStatusResp.class);
	}

	@Override
	public GetProjectInfoBeanResp getProjectBean(GetProjectInfoBeanReq req) {
		return post("project/getProjectBean", req, GetProjectInfoBeanResp.class);
	}

	@Override
	public UpdateProjectCourseOrgCountResp updateProjectCourseOrgCount(UpdateProjectCourseOrgCountReq req) {
		return post("project/updateCourseOrgCount", req, UpdateProjectCourseOrgCountResp.class);
	}

	@Override
	public UpdateProjectStatusByIdsResp updateProjectStatusByIds(UpdateProjectStatusByIdsReq req) {
		return post("project/updateStatusByIds", req, UpdateProjectStatusByIdsResp.class);
	}

}
