package cn.com.qmth.examcloud.exchange.inner.api.client;

import cn.com.qmth.examcloud.exchange.inner.api.SmsCloudService;
import cn.com.qmth.examcloud.exchange.inner.api.request.CheckSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsCodeReq;
import cn.com.qmth.examcloud.exchange.inner.api.request.SendSmsReq;
import cn.com.qmth.examcloud.exchange.inner.api.response.CheckSmsCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsCodeResp;
import cn.com.qmth.examcloud.exchange.inner.api.response.SendSmsResp;
import org.springframework.stereotype.Service;

/**
 * 短信发送类
 */
@Service
public class SmsCloudServiceClient extends AbstractCloudClientSupport implements SmsCloudService {

	private static final long serialVersionUID = -2880611326177571371L;

	@Override
	public SendSmsResp sendSms(SendSmsReq req) {

		return post("/sms/sendSms", req, SendSmsResp.class);
	}

	@Override
	public SendSmsCodeResp sendSmsCode(SendSmsCodeReq req) {
		return post("/sms/sendSmsCode", req, SendSmsCodeResp.class);
	}

	@Override
	public CheckSmsCodeResp checkSmsCode(CheckSmsCodeReq req) {
		return post("/sms/checkSmsCode", req, CheckSmsCodeResp.class);
	}
}
