package cn.com.qmth.examcloud.exchange.inner.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * 发送短信验证码请求类
 */
public class SendSmsCodeReq extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 8002846980120664036L;
	
	/**
	 * 手机号码 
	 */
	@NotBlank(message = "手机号码不能为空")
	@ApiModelProperty(value = "手机号码", example = "1370000001", required = true)
	private String phone;
	/**
	 * 短信验证码
	 */
	@NotBlank(message = "短信验证码不能为空")
	@ApiModelProperty(value = "短信验证码", example = "8888", required = true)
	private String code;

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
