package cn.com.qmth.examcloud.exchange.inner.api.request;
import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;
import java.util.Map;

public class SendSmsReq extends BaseRequest {

	private static final long serialVersionUID = 2927297232175851242L;

	@NotEmpty(message = "phoneList不能为空")
	@ApiModelProperty(value = "接受短信的手机号集合", example = "", required = true)
	private List<String> phoneList;

	@NotBlank(message = "smsAssemblyCode不能为空")
	@ApiModelProperty(value = "短信配置编码", example = "T001", required = true)
	private String smsAssemblyCode;

	@ApiModelProperty(value = "短信参数", example = "", required = false)
	private Map<String, String> params;

	public List<String> getPhoneList() {
		return phoneList;
	}

	public void setPhoneList(List<String> phoneList) {
		this.phoneList = phoneList;
	}

	public String getSmsAssemblyCode() {
		return smsAssemblyCode;
	}

	public void setSmsAssemblyCode(String smsAssemblyCode) {
		this.smsAssemblyCode = smsAssemblyCode;
	}

	public Map<String, String> getParams() {
		return params;
	}

	public void setParams(Map<String, String> params) {
		this.params = params;
	}

}
