package cn.com.qmth.examcloud.global.api.provider;

import org.springframework.http.HttpMethod;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.global.api.HandleSyncCloudService;
import cn.com.qmth.examcloud.global.api.request.SyncCourseReq;
import cn.com.qmth.examcloud.global.api.request.SyncExamReq;
import cn.com.qmth.examcloud.global.api.request.SyncExamStudentReq;
import cn.com.qmth.examcloud.global.api.request.SyncOrgReq;
import cn.com.qmth.examcloud.global.api.request.SyncSpecialtyReq;
import cn.com.qmth.examcloud.global.api.request.SyncStudentReq;
import cn.com.qmth.examcloud.global.api.request.SyncUserReq;
import cn.com.qmth.examcloud.global.api.response.SyncCourseResp;
import cn.com.qmth.examcloud.global.api.response.SyncExamResp;
import cn.com.qmth.examcloud.global.api.response.SyncExamStudentResp;
import cn.com.qmth.examcloud.global.api.response.SyncOrgResp;
import cn.com.qmth.examcloud.global.api.response.SyncSpecialtyResp;
import cn.com.qmth.examcloud.global.api.response.SyncStudentResp;
import cn.com.qmth.examcloud.global.api.response.SyncUserResp;
import cn.com.qmth.examcloud.web.cloud.CloudClientSupport;

@Service
public class HandleSyncCloudServiceClient extends CloudClientSupport
		implements
			HandleSyncCloudService {

	private static final long serialVersionUID = 4067990129534524566L;

	@Override
	protected String getRequestMappingPrefix() {
		return null;
	}

	@Override
	public SyncCourseResp syncCourse(SyncCourseReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncCourseResp.class);
	}

	@Override
	public SyncOrgResp syncOrg(SyncOrgReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncOrgResp.class);
	}

	@Override
	public SyncStudentResp syncStudent(SyncStudentReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncStudentResp.class);
	}

	@Override
	public SyncExamStudentResp syncExamStudent(SyncExamStudentReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncExamStudentResp.class);
	}

	@Override
	public SyncSpecialtyResp syncSpecialty(SyncSpecialtyReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncSpecialtyResp.class);
	}

	@Override
	public SyncExamResp syncExam(SyncExamReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncExamResp.class);
	}

	@Override
	public SyncUserResp syncUser(SyncUserReq req) {
		String url = req.getUrl();
		return exchange(url, HttpMethod.POST, req, SyncUserResp.class);
	}

}
