package cn.com.qmth.examcloud.global.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.global.api.request.SyncCourseReq;
import cn.com.qmth.examcloud.global.api.request.SyncExamReq;
import cn.com.qmth.examcloud.global.api.request.SyncExamStudentReq;
import cn.com.qmth.examcloud.global.api.request.SyncOrgReq;
import cn.com.qmth.examcloud.global.api.request.SyncSpecialtyReq;
import cn.com.qmth.examcloud.global.api.request.SyncStudentReq;
import cn.com.qmth.examcloud.global.api.request.SyncUserReq;
import cn.com.qmth.examcloud.global.api.response.SyncCourseResp;
import cn.com.qmth.examcloud.global.api.response.SyncExamResp;
import cn.com.qmth.examcloud.global.api.response.SyncExamStudentResp;
import cn.com.qmth.examcloud.global.api.response.SyncOrgResp;
import cn.com.qmth.examcloud.global.api.response.SyncSpecialtyResp;
import cn.com.qmth.examcloud.global.api.response.SyncStudentResp;
import cn.com.qmth.examcloud.global.api.response.SyncUserResp;

/**
 * 处理同步服务
 *
 * @author WANGWEI
 * @date 2018年9月18日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface HandleSyncCloudService extends CloudService {

	/**
	 * 同步课程
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncCourseResp syncCourse(SyncCourseReq req);

	/**
	 * 同步机构
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncOrgResp syncOrg(SyncOrgReq req);

	/**
	 * 同步学生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncStudentResp syncStudent(SyncStudentReq req);

	/**
	 * 同步考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncExamStudentResp syncExamStudent(SyncExamStudentReq req);

	/**
	 * 同步专业
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncSpecialtyResp syncSpecialty(SyncSpecialtyReq req);

	/**
	 * 同步考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncExamResp syncExam(SyncExamReq req);

	/**
	 * 同步用户
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	SyncUserResp syncUser(SyncUserReq req);

}
